### Usage

```js static
import InputCpf from '@meta-vue/input-cpf';

export default {
	...
	components: { InputCpf }
	...
};
```

### Example

##### Only CPF

```js
new Vue({
  data() {
    return {
      cpf: ''
    };
  },
  methods: {
    onValidation(validation, fieldName) {
      console.warn(`${fieldName} validation`, validation);
    }
  },
  template: `
    <InputCpf
      id="cpf-field2"
      name="cpf-field2"
      label="Exemplo de input CPF"
      v-model="cpf"
      @validation="onValidation"
    />
  `
});
```

##### Only CNPJ

```js
new Vue({
  data() {
    return {
      cnpj: ''
    };
  },
  methods: {
    onValidation(validation, fieldName) {
      console.warn(`${fieldName} validation`, validation);
    }
  },
  template: `
    <InputCpf
      id="cnpj-field"
      name="cnpj-field"
      label="Exemplo de input CNPJ"
      v-model="cnpj"
      enableCNPJ
      :enableCPF="false"
      @validation="onValidation"
    />
  `
});
```

##### CPF/CNPJ

```js
new Vue({
  data() {
    return {
      cpfCnpj: ''
    };
  },
  methods: {
    onValidation(validation, fieldName) {
      console.warn(`${fieldName} validation`, validation);
    }
  },
  template: `
    <InputCpf
      id="cpf-cnpj-field"
      name="cpf-cnpj-field"
      label="Exemplo de input CPF/CNPJ"
      v-model="cpfCnpj"
      enableCNPJ
      @validation="onValidation"
    />
  `
});
```
